body {
    margin: 0;
    padding: 0;
}

header {
    width: 100%;
    padding-top: 20px;
    padding-bottom: 20px;
    background: white;
    position: sticky;
    top: 0;
    z-index: 100;
}

.content {
    width: 800px;
    margin: 0 auto;
}

#image-banner {
    background-image: url('../img/sf_banner.png');
    background-size: cover;
    width: 100%;
    height: 600px;
}


#other-posts {
    overflow: hidden;
    margin-bottom: 100px;
}

.image-card, .image-card-color-overlay {
    width: 380px;
    height: 200px;
}

.image-card {
    display: inline-block;
    float: left;
    overflow: hidden;
    margin-right: 40px;
    /* PROBLEM 3: Give .image-card the appropriate position type */
    position: relative;
}

.image-card:last-child {
    margin-right: 0;
}

.image-card img {
    width: 100%;
}

.image-card-color-overlay {
    position: absolute;
    /* PROBLEM 4: Move the color overlay to cover the image properly */
    top: 0;
    left: 0;
    /* PROBLEM 5: What should the opacity be when there is no hover? */
    opacity: 0;
    transition: 0.3s;
    background-color: navy;
}

.image-card:hover .image-card-color-overlay {
    /* PROBLEM 5: Pick an opacity for the blue hover effect */
    opacity: 0.7;
}

.image-card-text {
    /* PROBLEM 6: Similar to .image-card-cover-overlay, position the card text */
    position: absolute;
    bottom: 10px; 
    left: 10px;
    color: white;
}


/* PROBLEM 7: Improve the typography and colors of this page! */

body {
    font-family: 'Open Sans', sans-serif;
}

#title {
    font-family: 'Open Sans', sans-serif;
    font-size: 24px;
    font-weight: bold;
}

h1 {
    font-size: 22px;
    margin-top: 20px;
    margin-bottom: 10px;
}

h2 {
    font-size: 18px;
    color: gray;
    margin-bottom: 20px;
}

h3 {
    font-size: 20px;
    font-weight: 500;
    margin-top: 40px;
}

p {
    font-size: 16px;
    line-height: 1.5;
    margin-bottom: 20px;
}

.image-card-text {
    font-size: 20px;
    font-weight: bold;
}